CREATE TABLE fun_adm_target_attributes_ (
    TARGET_ATTRIBUTE_ID       NUMBER(18, 0) ,
    USER_SEQUENCE             NUMBER(3, 0)  ,
    ENTITY_OBJECT_GROUP_ID    NUMBER(18, 0) ,
    ATTRIBUTE_CODE            VARCHAR2(120) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    TARGET_ATTRIBUTE_ID       NUMBER(18, 0) ,
    USER_SEQUENCE             NUMBER(3, 0)  ,
    ENTITY_OBJECT_GROUP_ID    NUMBER(18, 0) ,
    ATTRIBUTE_CODE            VARCHAR2(120) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CONSTRAINT pk_fun_adm_target_attributes_ PRIMARY KEY (TARGET_ATTRIBUTE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, TARGET_ATTRIBUTE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
